using System;
using System.Diagnostics;

namespace NBC
{
    public static class Log
    {
        public static bool Open = false;

        static Log()
        {
#if UNITY_EDITOR
            Open = true;
#endif
        }

        // [Conditional("UNITY_EDITOR"), Conditional("LOG")]
        public static void Info(object message)
        {
            UnityEngine.Debug.Log(message);
        }

        // [Conditional("UNITY_EDITOR"), Conditional("LOG")]
        public static void Warning(object message)
        {
            UnityEngine.Debug.LogWarning(message);
        }

        // [Conditional("UNITY_EDITOR"), Conditional("LOG"), Conditional("ERROR")]
        public static void Error(object message)
        {
            UnityEngine.Debug.LogError(message);
        }

        // [Conditional("UNITY_EDITOR"), Conditional("LOG"), Conditional("ERROR")]
        public static void Exception(Exception exception)
        {
            UnityEngine.Debug.LogException(exception);
        }

        // [Conditional("UNITY_EDITOR"), Conditional("LOG"), Conditional("ERROR")]
        public static void Exception(Exception exception, UnityEngine.Object context)
        {
            UnityEngine.Debug.LogException(exception, context);
        }
    }
}